<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ความพร้อมด้านการให้บริการลูกค้าอย่างเป็นธรรม
          (Market Conduct)</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับความพร้อมด้านการให้บริการลูกค้าอย่างเป็นธรรมตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <br>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <!-- ----------------------------------------- ของใหม่ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <div class="table-responsive">
        <table class="table-proccess table table-striped table-overflow">
          <thead>
            <tr>
              <th width="19%" rowspan="2">เรื่อง</th>
              <th width="36%" colspan="3" style="text-align: center;">ประเภทการจัดทำ </th>
              <!-- <th width="10%">จัดทำใหม่</th> -->
              <!-- <th width="10%">ใช้เอกสารชุดเดิม</th> -->
              <th width="25%" rowspan="2">อธิบายเหตุผลประกอบ </th>
              <th width="20%" rowspan="2">วันที่คาดว่าจะแล้วเสร็จ </th>
            </tr>
            <tr>
              <!-- <th width="25%">เรื่อง</th> -->
              <th width="12%" style="text-align: center;">ไม่ต้องจัดทำ </th>
              <th width="9%" style="text-align: center;">จัดทำใหม่</th>
              <th width="15%" style="text-align: center;">ใช้เอกสารชุดเดิม</th>
              <!-- <th width="20%">อธิบายเหตุผลประกอบ </th> -->
              <!-- <th width="25%">วันที่คาดว่าจะแล้วเสร็จ </th> -->
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of step_six; index as i">
              <td style="width:19%">{{item.title}}</td>
              <td style="width:12%">
                <!--                <label class="checked">-->
                <input type="checkbox" (change)="checkbox('ไม่ต้องจัดทำ',i)" [(ngModel)]="item.dont_create"
                  (keyup)="changeSaveDraft()" style="height: 16px;width: 100%">
                <!--                  <span class="checkmark" style="margin-left: 35px"></span>-->
                <!--                </label>-->
              </td>
              <td style="width:9%" style="text-align: center;">
                <!--                <label class="checked">-->
                <input type="checkbox" (change)="checkbox('จัดทำใหม่',i)" [(ngModel)]="item.new_doc"
                  (keyup)="changeSaveDraft()" style="height: 16px;width: 100%">
                <!--                  <span class="checkmark" style="margin-left: 25px"></span>-->
                <!--                </label>-->
              </td>
              <td style="width:15%" style="text-align: center;">
                <!--                <label class="checked" >-->
                <input type="checkbox" (change)="checkbox('ใช้เอกสารชุดเดิม',i)" [(ngModel)]="item.old_doc"
                  (keyup)="changeSaveDraft()" style="height: 16px;width: 100%;">
                <!--                  <span class="checkmark" style="margin-left: 45px"></span>-->
                <!--                </label>-->
              </td>
              <td style="width:25%">
                <!-- <input type="text" class="form-control input-reason" placeholder="ระบุเหตุผลประกอบ"
                  [(ngModel)]="item.reason" (ngModelChange)="connectExplain(i); changeSaveDraft();"
                  [disabled]="item.dont_create === false && item.new_doc === false && item.old_doc === false"> -->
                <textarea appTextareaAutoresize autocomplete="off" class="form-control input-reason example"
                  style="resize: vertical;width:100%;outline: 0px solid transparent;" type="text" id="textprocess1{{i}}"
                  placeholder="ระบุเหตุผลประกอบ" [(ngModel)]="item.reason"
                  (ngModelChange)="connectExplain(i); changeSaveDraft();"
                  [disabled]="item.dont_create === false && item.new_doc === false && item.old_doc === false"
                  name="textprocess1" required></textarea>
              </td>
              <td style="width:20%">
                <div class="input-warpper">
                  <div class="icon-warpper1">
                    <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()"> -->
                  </div>
                  <!-- <input
                        angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="item.dueDate"
                       class="form-control" placeholder="กรุณาเลือกวันที่" [options]="myDpOptions" (ngModelChange)="changeSaveDraft()"
                       #dp="angular-mydatepicker" (click)="dp.toggleCalendar()"  (dateChanged)="onDateChanged($event,i)"
                /> -->
                  <app-date
                    [datepicker_input]="{ role: null , dateData: item.dueDate, index: null, page: 'step6-show' }"
                    (DateChange)="item.dueDate = changeDate($event)"></app-date>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>

    <div class="col-12">
      <div class="head-detal">ช่องทางการร้องเรียน</div>
      <textarea class="form-control input-detail" rows="4" cols="50" placeholder="ระบุช่องทางการร้องเรียน"
        [(ngModel)]="description" (keyup)="changeSaveDraft()"></textarea>
    </div>
  </div>

  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="row">
      <div class="col-12 head-detal">
        <label style="font-size: 18px;">อัปโหลดเอกสาร</label>
      </div>
      <div class="col-12">
        <div class="dropzone">
          <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
            accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
            application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
            .jpg,.png" />
          <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
          <a for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
        </div>
      </div>

      <br />
      <div class="col-12">
        <div class="table-responsives">
          <table mat-table [dataSource]="dataSource_file">
            <!-- Position Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
              <td mat-cell *matCellDef="let element">
                <div>{{ element.fileName }}</div>
              </td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="size">
              <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
              <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element; let index = index">
                <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                  (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                  (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                <a class="pipe">|</a>
                <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
          </table>
          <br><br>
        </div>
      </div>

    </div>
  </div>

  <!-- ----------------------------------------- next button -------------------------------------------------- -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br><br><br>
  </div>
</div>
<!-------------------------------------------------end validate === true ------------------------------------------------>



<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <!-- ----------------------------------------- ของใหม่ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <div class="table-responsive">
        <table class="table-proccess table table-striped table-overflow">
          <thead>
            <tr>
              <th width="19%" rowspan="2">เรื่อง</th>
              <th width="36%" colspan="3" style="text-align: center;">ประเภทการจัดทำ </th>
              <!-- <th width="10%">จัดทำใหม่</th> -->
              <!-- <th width="10%">ใช้เอกสารชุดเดิม</th> -->
              <th width="25%" rowspan="2" style="text-align: left;">อธิบายเหตุผลประกอบ </th>
              <th width="20%" rowspan="2">วันที่คาดว่าจะแล้วเสร็จ </th>
            </tr>
            <tr>
              <!-- <th width="25%">เรื่อง</th> -->
              <th width="12%" style="text-align: center;">ไม่ต้องจัดทำ </th>
              <th width="9%" style="text-align: center;">จัดทำใหม่</th>
              <th width="15%" style="text-align: center;">ใช้เอกสารชุดเดิม</th>
              <!-- <th width="20%">อธิบายเหตุผลประกอบ </th> -->
              <!-- <th width="25%">วันที่คาดว่าจะแล้วเสร็จ </th> -->
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of step_six; index as i">
              <td style="width:19%">{{item.title}}</td>
              <td style="width:12%; word-wrap: break-word;">
                <input type="checkbox" class="form-control" disabled [(ngModel)]="item.dont_create"
                  style="height: 16px;">
              </td>
              <td style="width:9%" style="text-align: center;">
                <input type="checkbox" class="form-control" disabled [(ngModel)]="item.new_doc" style="height: 16px;">
              </td>
              <td style="width:15%" style="text-align: center;">
                <input type="checkbox" class="form-control" disabled [(ngModel)]="item.old_doc" style="height: 16px;">
                <!-- <label class="container">One22222222
                <input type="checkbox" checked="checked" disabled>
                <span class="checkmark"></span>
              </label> -->
              </td>
              <td style="width: 25%; padding-left: 20px; word-wrap: break-word;">
                <div style="width: 20vw; word-wrap: break-word;">
                  {{item.reason}}
                </div>
              </td>
              <td style="width:20%; text-align: center;">
                <div class="input-warpper">
                  <div *ngIf="item.dueDate">
                    {{dateFormat(item.dueDate)}}
                  </div>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>



    <div class="col-12">
      <div class="head-detal">ช่องทางการร้องเรียน</div>
      <hr style="margin-top: 0px;margin-bottom: 20px;">
      <div style="word-wrap: break-word; padding-left: 10px; padding-right: 10px;">{{description}}</div>
    </div>
  </div>
  <br>
  <div class="col-12">
    <div class="table-responsives">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">
            <div>{{ element.fileName }}</div>
          </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
      <br><br>
    </div>
  </div>

  <div class="col-12">
    <br> <br>
  </div>
</div>
<!-------------------------------------------------end validate === false ------------------------------------------------>


<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
            text-align: center;
            height: 56px;
            padding: 12px;
            background-color: rgba(0, 110, 149, 0.1);
          ">
        <div class="col-12" style="
              text-align: center;
              display: flex;
              align-items: center;
              justify-content: center;
            ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
              justify-items: center !important;
              background-color: #00a4e4;
              width: 150px;
            ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>